# norootforbuild

%define		soname	0

Name:		libsynce
Version:	0.15
Release:	3.2

Summary:	Core library for the SynCE project
URL:		http://www.synce.org
License:	MIT
Group:		System/Libraries

Source0:	%{name}-%{version}.tar.bz2

Patch0:		%{name}-python27.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-build

BuildRequires:	dbus-1-glib-devel hal-devel

%description
The purpose of the SynCE project is to provide a means of communication with a
Windows Mobile, or Windows CE, device from a computer running Linux, FreeBSD or
a similar operating system.


%package -n %{name}%{soname}
Summary:	Core library for the SynCE project
Group:		System/Libraries

%description -n %{name}%{soname}
Libsynce is a common library for various SynCE project tools, containing
various utility and helper functions.


%package devel
Summary:	Header files, libraries and development documentation for %{name}
Group:		Development/Libraries/C and C++
Requires:	%{name}%{soname} = %{version}
Requires:	dbus-1-glib-devel, hal-devel

%description devel  
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.


%prep
%setup -q

%if %suse_version >= 1140
%patch0 -p1
%endif


%build
%configure --disable-rpath --disable-static
%__make %{?jobs:-j%jobs}


%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print


%clean
%__rm -rf %{buildroot}


%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig


%files -n %{name}%{soname}
%defattr(-,root,root)
%doc ChangeLog LICENSE README TODO
%{_mandir}/man7/synce.7.gz
%{_libdir}/libsynce.so.*


%files devel
%defattr(-,root,root)
%{_mandir}/man3/*
%{_includedir}/synce_socket.h
%{_includedir}/synce_sys_error.h
%{_includedir}/synce.h
%{_includedir}/synce_log.h
%{_includedir}/synce_hash.h
%{_includedir}/synce_types.h
%{_includedir}/synce_ini.h
%{_includedir}/synce_vector_template.h
%{_libdir}/pkgconfig/libsynce.pc
%{_libdir}/libsynce.so


%changelog
* Sat May 22 2010 detlef@links2linux.de
- initial build for PackMan
* Sun May  2 2010 masterpatricko@gmail.com
- Update to version 0.15
  + Bugfixes and under the hood stuff.
  + A few more registry functions in pyrapi2.
  + A new API based on MS RAPI2 is mostly complete and certainly usable.
* Sat Jul 18 2009 masterpatricko@gmail.com
- Updated to version 0.14
  + Mostly bugfixes and developer stuff, with some changes to the
    python wrapper, including documentation !
  + Also now supports some unusual WM2003 devices with 4 endpoints
    with kernel 2.6.30
* Fri Jan 16 2009 masterpatricko@gmail.com
- Updated to version 0.13
  * lib/synce_log.c - check for incomplete conversion in wstr logging
  * man/wstr_to_ascii.3 - notes about NULL return from incomplete conversion
  * lib/synce_log.c - use wstr_to_current() in wstr logging
  * lib/info.c - use correct keys to get os and hardware from vdccm info file
  * lib/info.c - check odccm is running before attempting to get devices, ignore devices from hal without pda.pocketpc.name as these are not valid
  * lib/synce_socket.c - applied patch from andyakadum to build on Solaris, many thanks !
* Sat Aug  9 2008 masterpatricko@gmail.com
- Updated to version 0.12
* Tue Jun 10 2008 masterpatricko@gmail.com
- Initial release of package, svn revision 3488
* Sun May 11 2008 masterpatricko@gmail.com
- Initial release of package, svn revision 3446
